SANLK-RESET(8)

NAME
sanlk-reset - host reset program

SYNOPSIS
sanlk-reset [OPTIONS] action lockspace_name ...

DESCRIPTION

The sanlk-reset program sets events in specified sanlock lockspaces. Events are defined to cause sanlk-resetd on another host to:
- use wdmd/watchdog to reset the host
- use /proc/sysrq-trigger to reboot the host

Both hosts must be operational and have continued access to a common lockspace for the reset request to succeed. After setting the event, the sanlk-reset program monitors the host status in the sanlock lockspace until the target host is dead.

The sanlk-reset program can also be run on the same host as sanlk-resetd to update which lockspaces the local sanlk-resetd is watching for events.

OPTIONS

--version, -V
    Print version.

--help, -h
    Print usage.

  Reset another host

The event is set in each lockspace specified. The target host may have a different host id in each lockspace.

sanlk-reset reset lockspace_name:host_id ...

--host-id, -i num
    Host id to reset. (Use only with single lockspace name.)

--generation, -g num
    Generation of host. (Use only with single lockspace name.)

--sysrq-reboot, -b 0|1
    Enable/Disable (1/0) use of /proc/sysrq-trigger to reboot.

--resource-mode, -R 0|1
    Resource leases are used (1) or not used (0) to protect storage.

--native-timeout, -t  num
    Disable native timeout by setting to 0.

  Update the local sanlk-resetd

to watch new lockspaces for reset events:

sanlk-reset reg lockspace_name ...

to not watch lockspaces for reset events:

sanlk-reset end lockspace_name ...

to clear all lockspaces being watched:

sanlk-reset clear all

SEE ALSO
sanlk-resetd(8) sanlock(8) wdmd(8)